package mvd.jester.simulator.events;

public abstract class AbstractEvent implements IEvent {
    private final EventType type;
    private final long time;

    protected AbstractEvent(EventType type, long time) {
        this.type = type;
        this.time = time;
    }

    @Override
    public long getTime() {
        return time;
    }

    @Override
    public EventType getType() {
        return type;
    }

    @Override
    public final void log() {
        System.out.printf("[%19s] > %s\n", getTime(), getLoggingMessage());
    }

    protected abstract String getLoggingMessage();
}
