package mvd.jester.simulator.events;

import mvd.jester.simulator.model.JobContext;

public class JobActivatedEvent extends AbstractEvent {

    private JobContext job;

    public JobActivatedEvent(long time, JobContext job) {
        super(EventType.JOB_ACTIVATED, time);
        this.job = job;
    }

    /**
     * @return the job
     */
    public JobContext getJobContext() {
        return job;
    }

    @Override
    protected String getLoggingMessage() {
        return "Job " + job + " released";
    }

}
