package mvd.jester.simulator.events;

import mvd.jester.model.Subtask;
import mvd.jester.simulator.model.JobContext;

public class SubtaskActivatedEvent extends AbstractSubtaskEvent {

    private final Subtask subtask;

    public SubtaskActivatedEvent(final long time, final JobContext job, final Subtask subtask) {
        super(EventType.SUBTASK_ACTIVATED, time, job);
        this.subtask = subtask;
    }

    /**
     * @return the subtask
     */
    public Subtask getSubtask() {
        return subtask;
    }

    @Override
    protected String getLoggingMessage() {
        return "Subtask " + getSubtask() + " of task " + getJobContext().getTask() + " released";
    }

}
