package mvd.jester.simulator.events;

import mvd.jester.simulator.model.ExtendedSubtaskContext;
import mvd.jester.simulator.model.ProcessorContext;

public class SubtaskPreemptedEvent extends AbstractContextEvent {

    private ProcessorContext processor;
    private ExtendedSubtaskContext nextSubtask;

    public SubtaskPreemptedEvent(long time, ExtendedSubtaskContext subtask,
            ProcessorContext processor, ExtendedSubtaskContext nextSubtask) {
        super(EventType.SUBTASK_PREEMPTED, time, subtask, subtask.getJobContext());
        this.processor = processor;
        this.nextSubtask = nextSubtask;
    }

    /**
     * @return the processor
     */
    public ProcessorContext getProcessor() {
        return processor;
    }

    /**
     * @return the nextSubtask
     */
    public ExtendedSubtaskContext getNextSubtask() {
        return nextSubtask;
    }

    @Override
    protected String getLoggingMessage() {
        return "Subtask " + getSubtaskContext() + " preempted by " + getNextSubtask();
    }

}
