package mvd.jester.simulator.events;

import mvd.jester.simulator.model.ExtendedSubtaskContext;
import mvd.jester.simulator.model.ProcessorContext;

public class SubtaskStartedEvent extends AbstractContextEvent {

    private final ProcessorContext processor;

    public SubtaskStartedEvent(final long time, final ExtendedSubtaskContext subtask,
            final ProcessorContext processor) {
        super(EventType.SUBTASK_STARTED, time, subtask, subtask.getJobContext());
        this.processor = processor;
    }

    /**
     * @return the processor
     */
    public ProcessorContext getProcessor() {
        return processor;
    }


    @Override
    protected String getLoggingMessage() {
        return "Subtask " + getSubtaskContext() + " started execution on " + getProcessor();
    }

}
