package mvd.jester.simulator.events;

import mvd.jester.model.DagTask;

public class TaskReleasedEvent extends AbstractEvent {
    private final DagTask task;

    public TaskReleasedEvent(long time, DagTask task) {
        super(EventType.TASK_RELEASED, time);
        this.task = task;
    }

    public DagTask getTask() {
        return task;
    }

    @Override
    public String getLoggingMessage() {
        return "Task " + getTask() + " started";
    }
}
