package mvd.jester.info;

import static org.junit.jupiter.api.Assertions.assertTrue;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

/**
 * TestTerminationInfo
 */
public class TestTerminationInfo {

    @Test
    @DisplayName("Check Getters and Setters")
    public void testGettersAndSetters() {
        long releaseTime = 20;
        long deadline = 40;
        long responseTime = 30;

        TerminationInfo ti = new TerminationInfo(releaseTime, deadline, responseTime);
        TerminationInfo til = new TerminationInfo(deadline, responseTime);
        TerminationInfo tirl = new TerminationInfo(releaseTime, deadline, responseTime);


        assertTrue(ti.getDeadline() == deadline);
        assertTrue(til.getDeadline() == deadline);
        assertTrue(tirl.getDeadline() == deadline);
        assertTrue(ti.getResponseTime() == responseTime);
        assertTrue(til.getResponseTime() == responseTime);
        assertTrue(tirl.getResponseTime() == responseTime);
        assertTrue(ti.getReleaseTime() == releaseTime);
        assertTrue(tirl.getReleaseTime() == releaseTime);
        assertTrue(ti.getLateness() == responseTime - deadline);
        assertTrue(til.getLateness() == responseTime - deadline);
        assertTrue(tirl.getLateness() == responseTime - deadline);
    }
}
